framework:
    test: true
    secret: test
    router:
        resource: "%kernel.project_dir%/config/routing.yml"
    fragments:
        enabled: true

doctrine:
    dbal:
        driver:   pdo_sqlite
        path:     "%kernel.project_dir%/data/db.sqlite"

    orm:
        auto_mapping: true

sensio_framework_extra:
    router:
        annotations: false

services:
    Tests\Fixtures\FooBundle\Controller\InvokableController:
        public: true

    Tests\Fixtures\FooBundle\Controller\InvokableClassLevelController:
        public: true

    Tests\Fixtures\FooBundle\Controller\SimpleController:
        public: true

    Tests\Fixtures\FooBundle\Security\IsGrantedVoter:
        public: false
        tags:
            - { name: security.voter }

security:
    providers:
        in_memory:
            memory:
                users:
                    johannes: { password: test, roles: [ROLE_USER] }

    firewalls:
        # This firewall doesn't make sense in combination with the rest of the
        # configuration file, but it's here for testing purposes (do not use
        # this file in a real world scenario though)
        login_form:
            pattern: ^/login$
            security: false

        default:
            form_login: ~
            anonymous: ~

monolog:
    handlers:
        main:
            type: stream
            path: "%kernel.logs_dir%/console.log"
            level: critical
            channels: []

twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'
